Bug 471709 - add sh architecture support
add sh architecture support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hping3 (Show other bugs)
10
sh4 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 21:23 EST by CHIKAMA Masaki
Modified: 2009-01-23 21:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 21:37:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hping3-bytesex-sh.patch (390 bytes, patch)
2008-11-14 21:23 EST, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-11-14 21:23:59 EST
Created attachment 323676 [details]
hping3-bytesex-sh.patch

Description of problem:
  This patch fixes compile failure on sh architecture.
It can apply over "Patch1: hping3-bytesex.patch".

--- hping3-20051105/bytesex.h.org       2008-11-13 18:48:05.000000000 +0900
+++ hping3-20051105/bytesex.h   2008-11-13 18:48:14.000000000 +0900
@@ -11,6 +11,7 @@
        || defined(__alpha__) \
        || defined(__x86_64__) \
        || defined(__ia64__) \
+       || defined(__sh__) \
        || (defined(__mips__) && (defined(MIPSEL) || defined (__MIPSEL__)))
 #define BYTE_ORDER_LITTLE_ENDIAN
 #elif  defined(__mc68000__) \

Version-Release number of selected component (if applicable):
  hping3-0.0.20051105-10
Comment 1 Bug Zapper 2008-11-26 00:25:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Paul Wouters 2008-11-27 21:51:43 EST
merged patch for rawhide, epel, F-8,9,10
Comment 3 Fedora Update System 2009-01-23 21:33:05 EST
hping3-0.0.20051105-12.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hping3'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0877
Comment 4 Fedora Update System 2009-01-23 21:37:50 EST
hping3-0.0.20051105-11.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.